Subject: Re: bug#36332: non-GUI build broken on macOS

From: Alan Third <[email-masked]>
Date: Sat, 22 Jun 2019 21:37:42 +0100

On Sat, Jun 22, 2019 at 01:25:58PM -0700, Paul Eggert wrote:
> Alan Third wrote:
> 
> > I haven’t been following the clean build chat on emacs-devel, does
> > make extraclean delete macuvs.h?
> 
> Yes, and this was true even before the recent patches in this area.
> > We could try returning a useful message at configure time instead of
> > just failing during the build. Do you think the attached patch is OK?
> 
> Sure, that looks good.

Thanks, I’ll push it to master if nobody complains in a couple of days.

> > I’d rather not just build headless as the usual build process on the
> > Mac is to do ’make; make install’
> 
> My idea is that plain 'make' would build a headless Emacs for src/temacs and
> src/bootstrap-emacs, as that's all that Emacs needs to compile itself.
> However, src/emacs would continue to be an Emacs with the GUI. This could be
> done on all platforms, not just macOS. Admittedly it'd be some work.

Yes, that would be better. I’d have no idea where to start, though. :)
-- 
Alan Third